ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.127 by root, Mon May 5 16:51:52 2008 UTC vs.
Revision 1.130 by root, Sat Dec 26 10:24:04 2009 UTC

1294Optional Features: 1294Optional Features:
1295 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 1295 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1296 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 1296 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1297 --enable-everything enable standard non-multichoice features 1297 --enable-everything enable standard non-multichoice features
1298 NOTE: this option is order dependent 1298 NOTE: this option is order dependent
1299 --enable-assert enable assertions
1299 --enable-warnings turn on g++ warnings 1300 --enable-warnings turn on g++ warnings
1300 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1301 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1301 --enable-combining enable composition of base and combining characters 1302 --enable-combining enable composition of base and combining characters
1302 --enable-xft enable xft support on systems that have it 1303 --enable-xft enable xft support on systems that have it
1303 --enable-font-styles enable bold and italic support 1304 --enable-font-styles enable bold and italic support
4453 fi 4454 fi
4454 4455
4455fi 4456fi
4456 4457
4457 4458
4459ASSERTIONS=no
4460# Check whether --enable-assert was given.
4461if test "${enable_assert+set}" = set; then
4462 enableval=$enable_assert; if test x$enableval = xyes; then
4463 ASSERTIONS=yes
4464 fi
4465fi
4466
4467if test x$ASSERTIONS = xno; then
4468
4469cat >>confdefs.h <<\_ACEOF
4470#define NDEBUG 1
4471_ACEOF
4472
4473fi
4474
4458WARNINGS=no 4475WARNINGS=no
4459# Check whether --enable-warnings was given. 4476# Check whether --enable-warnings was given.
4460if test "${enable_warnings+set}" = set; then 4477if test "${enable_warnings+set}" = set; then
4461 enableval=$enable_warnings; if test x$enableval = xyes; then 4478 enableval=$enable_warnings; if test x$enableval = xyes; then
4462 WARNINGS=yes 4479 WARNINGS=yes
5324 5341
5325 5342
5326 5343
5327 5344
5328 5345
5346
5329for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h sys/eventfd.h 5347for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h sys/eventfd.h sys/signalfd.h
5330do 5348do
5331as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 5349as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5332if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 5350if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
5333 { echo "$as_me:$LINENO: checking for $ac_header" >&5 5351 { echo "$as_me:$LINENO: checking for $ac_header" >&5
5334echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 5352echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
5471 5489
5472 5490
5473 5491
5474 5492
5475 5493
5494
5476for ac_func in inotify_init epoll_ctl kqueue port_create poll select eventfd 5495for ac_func in inotify_init epoll_ctl kqueue port_create poll select eventfd signalfd
5477do 5496do
5478as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 5497as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5479{ echo "$as_me:$LINENO: checking for $ac_func" >&5 5498{ echo "$as_me:$LINENO: checking for $ac_func" >&5
5480echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 5499echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
5481if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then 5500if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
5650echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; } 5669echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
5651if test $ac_cv_func_clock_gettime = yes; then 5670if test $ac_cv_func_clock_gettime = yes; then
5652 : 5671 :
5653else 5672else
5654 5673
5655 if test -z "$LIBEV_M4_AVOID_LIBRT"; then 5674 if test $(uname) = Linux; then
5675 { echo "$as_me:$LINENO: checking for clock_gettime syscall" >&5
5676echo $ECHO_N "checking for clock_gettime syscall... $ECHO_C" >&6; }
5677 cat >conftest.$ac_ext <<_ACEOF
5678/* confdefs.h. */
5679_ACEOF
5680cat confdefs.h >>conftest.$ac_ext
5681cat >>conftest.$ac_ext <<_ACEOF
5682/* end confdefs.h. */
5683#include <syscall.h>
5684 #include <time.h>
5685int
5686main ()
5687{
5688struct timespec ts; int status = syscall (SYS_clock_gettime, CLOCK_REALTIME, &ts)
5689 ;
5690 return 0;
5691}
5692_ACEOF
5693rm -f conftest.$ac_objext conftest$ac_exeext
5694if { (ac_try="$ac_link"
5695case "(($ac_try" in
5696 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5697 *) ac_try_echo=$ac_try;;
5698esac
5699eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5700 (eval "$ac_link") 2>conftest.er1
5701 ac_status=$?
5702 grep -v '^ *+' conftest.er1 >conftest.err
5703 rm -f conftest.er1
5704 cat conftest.err >&5
5705 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5706 (exit $ac_status); } && {
5707 test -z "$ac_cxx_werror_flag" ||
5708 test ! -s conftest.err
5709 } && test -s conftest$ac_exeext &&
5710 $as_test_x conftest$ac_exeext; then
5711 ac_have_clock_syscall=1
5712
5713cat >>confdefs.h <<\_ACEOF
5714#define HAVE_CLOCK_SYSCALL 1
5715_ACEOF
5716
5717 { echo "$as_me:$LINENO: result: yes" >&5
5718echo "${ECHO_T}yes" >&6; }
5719else
5720 echo "$as_me: failed program was:" >&5
5721sed 's/^/| /' conftest.$ac_ext >&5
5722
5723 { echo "$as_me:$LINENO: result: no" >&5
5724echo "${ECHO_T}no" >&6; }
5725fi
5726
5727rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5728 conftest$ac_exeext conftest.$ac_ext
5729 fi
5730 if test -z "$LIBEV_M4_AVOID_LIBRT" && test -z "$ac_have_clock_syscall"; then
5656 5731
5657{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5 5732{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
5658echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; } 5733echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
5659if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then 5734if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
5660 echo $ECHO_N "(cached) $ECHO_C" >&6 5735 echo $ECHO_N "(cached) $ECHO_C" >&6
6149_ACEOF 6224_ACEOF
6150 6225
6151 LIBS="-lm $LIBS" 6226 LIBS="-lm $LIBS"
6152 6227
6153fi 6228fi
6154
6155
6156 6229
6157 6230
6158 6231
6159 6232
6160 6233
8558 8631
8559 8632
8560 8633
8561 8634
8562for ac_func in \ 8635for ac_func in \
8563 ttyslot \
8564 updwtmp \ 8636 updwtmp \
8565 updwtmpx \ 8637 updwtmpx \
8638 updlastlogx \
8566 8639
8567do 8640do
8568as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 8641as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
8569{ echo "$as_me:$LINENO: checking for $ac_func" >&5 8642{ echo "$as_me:$LINENO: checking for $ac_func" >&5
8570echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; } 8643echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
8656fi 8729fi
8657done 8730done
8658 8731
8659 8732
8660 8733
8661
8662
8663for ac_header in \ 8734for ac_header in lastlog.h
8664 utmp.h \
8665 utmpx.h \
8666 lastlog.h \
8667
8668do 8735do
8669as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 8736as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8670if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 8737if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8671 { echo "$as_me:$LINENO: checking for $ac_header" >&5 8738 { echo "$as_me:$LINENO: checking for $ac_header" >&5
8672echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 8739echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
8803 8870
8804done 8871done
8805 8872
8806 8873
8807 8874
8808if test "${ac_cv_header_utmp_h+set}" = set; then 8875
8876for ac_header in utmp.h
8877do
8878as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8879if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8809 { echo "$as_me:$LINENO: checking for utmp.h" >&5 8880 { echo "$as_me:$LINENO: checking for $ac_header" >&5
8810echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 8881echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
8811if test "${ac_cv_header_utmp_h+set}" = set; then 8882if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8812 echo $ECHO_N "(cached) $ECHO_C" >&6 8883 echo $ECHO_N "(cached) $ECHO_C" >&6
8813fi 8884fi
8885ac_res=`eval echo '${'$as_ac_Header'}'`
8814{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 8886 { echo "$as_me:$LINENO: result: $ac_res" >&5
8815echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 8887echo "${ECHO_T}$ac_res" >&6; }
8816else 8888else
8817 # Is the header compilable? 8889 # Is the header compilable?
8818{ echo "$as_me:$LINENO: checking utmp.h usability" >&5 8890{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
8819echo $ECHO_N "checking utmp.h usability... $ECHO_C" >&6; } 8891echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
8820cat >conftest.$ac_ext <<_ACEOF 8892cat >conftest.$ac_ext <<_ACEOF
8821/* confdefs.h. */ 8893/* confdefs.h. */
8822_ACEOF 8894_ACEOF
8823cat confdefs.h >>conftest.$ac_ext 8895cat confdefs.h >>conftest.$ac_ext
8824cat >>conftest.$ac_ext <<_ACEOF 8896cat >>conftest.$ac_ext <<_ACEOF
8825/* end confdefs.h. */ 8897/* end confdefs.h. */
8826$ac_includes_default 8898$ac_includes_default
8827#include <utmp.h> 8899#include <$ac_header>
8828_ACEOF 8900_ACEOF
8829rm -f conftest.$ac_objext 8901rm -f conftest.$ac_objext
8830if { (ac_try="$ac_compile" 8902if { (ac_try="$ac_compile"
8831case "(($ac_try" in 8903case "(($ac_try" in
8832 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 8904 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8854rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 8926rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8855{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 8927{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8856echo "${ECHO_T}$ac_header_compiler" >&6; } 8928echo "${ECHO_T}$ac_header_compiler" >&6; }
8857 8929
8858# Is the header present? 8930# Is the header present?
8859{ echo "$as_me:$LINENO: checking utmp.h presence" >&5 8931{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
8860echo $ECHO_N "checking utmp.h presence... $ECHO_C" >&6; } 8932echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
8861cat >conftest.$ac_ext <<_ACEOF 8933cat >conftest.$ac_ext <<_ACEOF
8862/* confdefs.h. */ 8934/* confdefs.h. */
8863_ACEOF 8935_ACEOF
8864cat confdefs.h >>conftest.$ac_ext 8936cat confdefs.h >>conftest.$ac_ext
8865cat >>conftest.$ac_ext <<_ACEOF 8937cat >>conftest.$ac_ext <<_ACEOF
8866/* end confdefs.h. */ 8938/* end confdefs.h. */
8867#include <utmp.h> 8939#include <$ac_header>
8868_ACEOF 8940_ACEOF
8869if { (ac_try="$ac_cpp conftest.$ac_ext" 8941if { (ac_try="$ac_cpp conftest.$ac_ext"
8870case "(($ac_try" in 8942case "(($ac_try" in
8871 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 8943 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8872 *) ac_try_echo=$ac_try;; 8944 *) ac_try_echo=$ac_try;;
8895echo "${ECHO_T}$ac_header_preproc" >&6; } 8967echo "${ECHO_T}$ac_header_preproc" >&6; }
8896 8968
8897# So? What about this header? 8969# So? What about this header?
8898case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 8970case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8899 yes:no: ) 8971 yes:no: )
8900 { echo "$as_me:$LINENO: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&5 8972 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
8901echo "$as_me: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 8973echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
8902 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the compiler's result" >&5 8974 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
8903echo "$as_me: WARNING: utmp.h: proceeding with the compiler's result" >&2;} 8975echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
8904 ac_header_preproc=yes 8976 ac_header_preproc=yes
8905 ;; 8977 ;;
8906 no:yes:* ) 8978 no:yes:* )
8907 { echo "$as_me:$LINENO: WARNING: utmp.h: present but cannot be compiled" >&5 8979 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
8908echo "$as_me: WARNING: utmp.h: present but cannot be compiled" >&2;} 8980echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
8909 { echo "$as_me:$LINENO: WARNING: utmp.h: check for missing prerequisite headers?" >&5 8981 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
8910echo "$as_me: WARNING: utmp.h: check for missing prerequisite headers?" >&2;} 8982echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
8911 { echo "$as_me:$LINENO: WARNING: utmp.h: see the Autoconf documentation" >&5 8983 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
8912echo "$as_me: WARNING: utmp.h: see the Autoconf documentation" >&2;} 8984echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
8913 { echo "$as_me:$LINENO: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&5 8985 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
8914echo "$as_me: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&2;} 8986echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
8915 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the preprocessor's result" >&5 8987 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
8916echo "$as_me: WARNING: utmp.h: proceeding with the preprocessor's result" >&2;} 8988echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
8917 { echo "$as_me:$LINENO: WARNING: utmp.h: in the future, the compiler will take precedence" >&5 8989 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
8918echo "$as_me: WARNING: utmp.h: in the future, the compiler will take precedence" >&2;} 8990echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
8919 8991
8920 ;; 8992 ;;
8921esac 8993esac
8922{ echo "$as_me:$LINENO: checking for utmp.h" >&5 8994{ echo "$as_me:$LINENO: checking for $ac_header" >&5
8923echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; } 8995echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
8924if test "${ac_cv_header_utmp_h+set}" = set; then 8996if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8925 echo $ECHO_N "(cached) $ECHO_C" >&6 8997 echo $ECHO_N "(cached) $ECHO_C" >&6
8926else 8998else
8927 ac_cv_header_utmp_h=$ac_header_preproc 8999 eval "$as_ac_Header=\$ac_header_preproc"
8928fi 9000fi
9001ac_res=`eval echo '${'$as_ac_Header'}'`
8929{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5 9002 { echo "$as_me:$LINENO: result: $ac_res" >&5
8930echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; } 9003echo "${ECHO_T}$ac_res" >&6; }
8931 9004
8932fi 9005fi
8933if test $ac_cv_header_utmp_h = yes; then 9006if test `eval echo '${'$as_ac_Header'}'` = yes; then
9007 cat >>confdefs.h <<_ACEOF
9008#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
9009_ACEOF
8934 { echo "$as_me:$LINENO: checking for struct utmp" >&5 9010 { echo "$as_me:$LINENO: checking for struct utmp" >&5
8935echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; } 9011echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; }
8936if test "${struct_utmp+set}" = set; then 9012if test "${struct_utmp+set}" = set; then
8937 echo $ECHO_N "(cached) $ECHO_C" >&6 9013 echo $ECHO_N "(cached) $ECHO_C" >&6
8938else 9014else
8939 cat >conftest.$ac_ext <<_ACEOF 9015 cat >conftest.$ac_ext <<_ACEOF
9106 9182
9107fi 9183fi
9108 9184
9109fi 9185fi
9110 9186
9187done
9111 9188
9112 9189
9113if test "${ac_cv_header_utmpx_h+set}" = set; then 9190
9191for ac_header in utmpx.h
9192do
9193as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
9194if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9114 { echo "$as_me:$LINENO: checking for utmpx.h" >&5 9195 { echo "$as_me:$LINENO: checking for $ac_header" >&5
9115echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 9196echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9116if test "${ac_cv_header_utmpx_h+set}" = set; then 9197if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9117 echo $ECHO_N "(cached) $ECHO_C" >&6 9198 echo $ECHO_N "(cached) $ECHO_C" >&6
9118fi 9199fi
9200ac_res=`eval echo '${'$as_ac_Header'}'`
9119{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 9201 { echo "$as_me:$LINENO: result: $ac_res" >&5
9120echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 9202echo "${ECHO_T}$ac_res" >&6; }
9121else 9203else
9122 # Is the header compilable? 9204 # Is the header compilable?
9123{ echo "$as_me:$LINENO: checking utmpx.h usability" >&5 9205{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
9124echo $ECHO_N "checking utmpx.h usability... $ECHO_C" >&6; } 9206echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
9125cat >conftest.$ac_ext <<_ACEOF 9207cat >conftest.$ac_ext <<_ACEOF
9126/* confdefs.h. */ 9208/* confdefs.h. */
9127_ACEOF 9209_ACEOF
9128cat confdefs.h >>conftest.$ac_ext 9210cat confdefs.h >>conftest.$ac_ext
9129cat >>conftest.$ac_ext <<_ACEOF 9211cat >>conftest.$ac_ext <<_ACEOF
9130/* end confdefs.h. */ 9212/* end confdefs.h. */
9131$ac_includes_default 9213$ac_includes_default
9132#include <utmpx.h> 9214#include <$ac_header>
9133_ACEOF 9215_ACEOF
9134rm -f conftest.$ac_objext 9216rm -f conftest.$ac_objext
9135if { (ac_try="$ac_compile" 9217if { (ac_try="$ac_compile"
9136case "(($ac_try" in 9218case "(($ac_try" in
9137 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 9219 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9159rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 9241rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
9160{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 9242{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9161echo "${ECHO_T}$ac_header_compiler" >&6; } 9243echo "${ECHO_T}$ac_header_compiler" >&6; }
9162 9244
9163# Is the header present? 9245# Is the header present?
9164{ echo "$as_me:$LINENO: checking utmpx.h presence" >&5 9246{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
9165echo $ECHO_N "checking utmpx.h presence... $ECHO_C" >&6; } 9247echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
9166cat >conftest.$ac_ext <<_ACEOF 9248cat >conftest.$ac_ext <<_ACEOF
9167/* confdefs.h. */ 9249/* confdefs.h. */
9168_ACEOF 9250_ACEOF
9169cat confdefs.h >>conftest.$ac_ext 9251cat confdefs.h >>conftest.$ac_ext
9170cat >>conftest.$ac_ext <<_ACEOF 9252cat >>conftest.$ac_ext <<_ACEOF
9171/* end confdefs.h. */ 9253/* end confdefs.h. */
9172#include <utmpx.h> 9254#include <$ac_header>
9173_ACEOF 9255_ACEOF
9174if { (ac_try="$ac_cpp conftest.$ac_ext" 9256if { (ac_try="$ac_cpp conftest.$ac_ext"
9175case "(($ac_try" in 9257case "(($ac_try" in
9176 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 9258 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9177 *) ac_try_echo=$ac_try;; 9259 *) ac_try_echo=$ac_try;;
9200echo "${ECHO_T}$ac_header_preproc" >&6; } 9282echo "${ECHO_T}$ac_header_preproc" >&6; }
9201 9283
9202# So? What about this header? 9284# So? What about this header?
9203case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 9285case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
9204 yes:no: ) 9286 yes:no: )
9205 { echo "$as_me:$LINENO: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&5 9287 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
9206echo "$as_me: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 9288echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
9207 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the compiler's result" >&5 9289 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
9208echo "$as_me: WARNING: utmpx.h: proceeding with the compiler's result" >&2;} 9290echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
9209 ac_header_preproc=yes 9291 ac_header_preproc=yes
9210 ;; 9292 ;;
9211 no:yes:* ) 9293 no:yes:* )
9212 { echo "$as_me:$LINENO: WARNING: utmpx.h: present but cannot be compiled" >&5 9294 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
9213echo "$as_me: WARNING: utmpx.h: present but cannot be compiled" >&2;} 9295echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
9214 { echo "$as_me:$LINENO: WARNING: utmpx.h: check for missing prerequisite headers?" >&5 9296 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
9215echo "$as_me: WARNING: utmpx.h: check for missing prerequisite headers?" >&2;} 9297echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
9216 { echo "$as_me:$LINENO: WARNING: utmpx.h: see the Autoconf documentation" >&5 9298 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
9217echo "$as_me: WARNING: utmpx.h: see the Autoconf documentation" >&2;} 9299echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
9218 { echo "$as_me:$LINENO: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&5 9300 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
9219echo "$as_me: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&2;} 9301echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
9220 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the preprocessor's result" >&5 9302 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
9221echo "$as_me: WARNING: utmpx.h: proceeding with the preprocessor's result" >&2;} 9303echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
9222 { echo "$as_me:$LINENO: WARNING: utmpx.h: in the future, the compiler will take precedence" >&5 9304 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
9223echo "$as_me: WARNING: utmpx.h: in the future, the compiler will take precedence" >&2;} 9305echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
9224 9306
9225 ;; 9307 ;;
9226esac 9308esac
9227{ echo "$as_me:$LINENO: checking for utmpx.h" >&5 9309{ echo "$as_me:$LINENO: checking for $ac_header" >&5
9228echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; } 9310echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9229if test "${ac_cv_header_utmpx_h+set}" = set; then 9311if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
9230 echo $ECHO_N "(cached) $ECHO_C" >&6 9312 echo $ECHO_N "(cached) $ECHO_C" >&6
9231else 9313else
9232 ac_cv_header_utmpx_h=$ac_header_preproc 9314 eval "$as_ac_Header=\$ac_header_preproc"
9233fi 9315fi
9316ac_res=`eval echo '${'$as_ac_Header'}'`
9234{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5 9317 { echo "$as_me:$LINENO: result: $ac_res" >&5
9235echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; } 9318echo "${ECHO_T}$ac_res" >&6; }
9236 9319
9237fi 9320fi
9238if test $ac_cv_header_utmpx_h = yes; then 9321if test `eval echo '${'$as_ac_Header'}'` = yes; then
9322 cat >>confdefs.h <<_ACEOF
9323#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
9324_ACEOF
9239 { echo "$as_me:$LINENO: checking for struct utmpx" >&5 9325 { echo "$as_me:$LINENO: checking for struct utmpx" >&5
9240echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; } 9326echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; }
9241if test "${struct_utmpx+set}" = set; then 9327if test "${struct_utmpx+set}" = set; then
9242 echo $ECHO_N "(cached) $ECHO_C" >&6 9328 echo $ECHO_N "(cached) $ECHO_C" >&6
9243else 9329else
9244 cat >conftest.$ac_ext <<_ACEOF 9330 cat >conftest.$ac_ext <<_ACEOF
9411 9497
9412fi 9498fi
9413 9499
9414fi 9500fi
9415 9501
9502done
9416 9503
9417{ echo "$as_me:$LINENO: checking for struct lastlog" >&5 9504{ echo "$as_me:$LINENO: checking for struct lastlog" >&5
9418echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; } 9505echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; }
9419if test "${struct_lastlog+set}" = set; then 9506if test "${struct_lastlog+set}" = set; then
9420 echo $ECHO_N "(cached) $ECHO_C" >&6 9507 echo $ECHO_N "(cached) $ECHO_C" >&6
9991 10078
9992cat >>confdefs.h <<_ACEOF 10079cat >>confdefs.h <<_ACEOF
9993#define LASTLOG_FILE "$path_lastlog" 10080#define LASTLOG_FILE "$path_lastlog"
9994_ACEOF 10081_ACEOF
9995 10082
9996 if test -d "$path_lastlog"; then
9997
9998cat >>confdefs.h <<\_ACEOF
9999#define LASTLOG_IS_DIR 1
10000_ACEOF
10001
10002 fi
10003fi 10083fi
10004 10084
10005{ echo "$as_me:$LINENO: checking where lastlogx is located" >&5 10085{ echo "$as_me:$LINENO: checking where lastlogx is located" >&5
10006echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6; } 10086echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6; }
10007if test "${path_lastlogx+set}" = set; then 10087if test "${path_lastlogx+set}" = set; then

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines